Rails.application.routes.draw do

  locales = Site.first.in_use_locales rescue I18n.available_locales
  
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
   namespace :admin do
    resources :nccu_com_vnccu_programs do

      collection do
        get 'export_data'
        post 'export'
      end

      member do
        get 'song_list'
      end
    end

    resources :nccu_com_vnccu_program_song_lists
   end

    resources :nccu_com_vnccu_programs

  end
  
end
