# encoding: utf-8
class Admin::NccuComVnccuProgramSongListsController < OrbitAdminController
  include Admin::NccuComVnccuProgramsHelper
  before_action ->(module_app = @app_title) { set_variables module_app }

  def initialize
    super
    @app_title = "nccu_com_vnccu_program"
  end

  def edit

    params[:controller] = "admin/nccu_com_vnccu_programs"

    @song_list = ComVnccuProgramSongList.find(params[:id])
    @nccu_com_vnccu_program = ComVnccuProgram.find(@song_list.com_vnccu_program_id)

  end

  def update
    
    @song_list = ComVnccuProgramSongList.find(params[:id])
    @song_list.update_attributes(song_list_params)

    redirect_to "/admin/nccu_com_vnccu_programs/#{@song_list.com_vnccu_program_id}/song_list"

  end

  def destroy
    @song_list = ComVnccuProgramSongList.find(params[:id])

    @program_id = @song_list.com_vnccu_program_id

    @song_list.destroy

    redirect_to "/admin/nccu_com_vnccu_programs/#{@program_id}/song_list"
  end

  private

  def song_list_params
    params.require(:com_vnccu_program_song_list).permit!
  end
end
